Вышел Rust 1.33.0


#1

Перевод попробуем завтра вывалить.


#2

Перевод:


#3

У меня error-chain поломался:

warning: use of deprecated item 'std::error::Error::cause': replaced by Error::source, which can support downcasting
  --> modbus/src/lib.rs:16:5
   |
16 | /     error_chain! {
17 | |         foreign_links {
18 | |             IO(::std::io::Error);
19 | |         }
...  |
57 | |         }
58 | |     }
   | |_____^
   |
   = note: #[warn(deprecated)] on by default
   = note: this error originates in a macro outside of the current crate (in Nightly builds, run with -Z external-macro-backtrace for more info)

давно хотел от него отказаться, видно пришло время.


#4

Ну не “поломался” прям, просто предупреждение же. Но да, error-chain уже совсем зомби, точно имеет смысл подумать об уползании с него.